%define majver %(echo %version | cut -d. -f1-2)
Name:          libgnome-games-support1
Version:       1.8.2
Release:       2mamba
Summary:       A small library intended for internal use by GNOME Games, but it may be used by others
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.gnome.org
Source:        https://download.gnome.org/sources/libgnome-games-support/%{majver}/libgnome-games-support-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgee-devel
BuildRequires: libglib-devel
BuildRequires: libgtk3-devel
## AUTOBUILDREQ-END

%description
libgnome-games-support is a small library intended for internal use by GNOME Games, but it may be used by others.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q -n libgnome-games-support-%{version}

%build
%meson

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%find_lang %{name} --all-name || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%{_libdir}/libgnome-games-support-1.so.*
%doc COPYING COPYING.LESSER

%files devel
%defattr(-,root,root)
%dir %{_includedir}/gnome-games-support-1
%{_includedir}/gnome-games-support-1/*.h
%{_libdir}/libgnome-games-support-1.so
%{_libdir}/pkgconfig/libgnome-games-support-1.pc
%{_datadir}/vala/vapi/libgnome-games-support-1.vapi
%doc NEWS README

%changelog
* Mon Dec 26 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.2-2mamba
- legacy package

* Sun Oct 31 2021 Automatic Build System <autodist@mambasoft.it> 1.8.2-1mamba
- automatic version update by autodist

* Sat Mar 27 2021 Automatic Build System <autodist@mambasoft.it> 1.8.1-1mamba
- automatic version update by autodist

* Sun Sep 27 2020 Automatic Build System <autodist@mambasoft.it> 1.8.0-1mamba
- automatic version update by autodist

* Fri Mar 27 2020 Automatic Build System <autodist@mambasoft.it> 1.6.1-1mamba
- automatic version update by autodist

* Fri Mar 20 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.0.1-1mamba
- update to 1.6.0.1

* Tue Sep 10 2019 Automatic Build System <autodist@mambasoft.it> 1.4.4-1mamba
- automatic version update by autodist

* Wed Dec 12 2018 Automatic Build System <autodist@mambasoft.it> 1.4.3-1mamba
- automatic version update by autodist

* Sun Sep 30 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.2-1mamba
- package created using the webbuild interface
